Subject: Re: [PATCH v2] powerpc/fadump: when fadump is supported register the fadump sysfs files.

From: Michal Suchánek <[email-masked]>
Date: Wed, 4 Sep 2019 20:35:51 +0200

On Thu, 29 Aug 2019 10:58:16 +0530
Hari Bathini <[email-masked]> wrote:

> On 28/08/19 10:57 PM, Michal Suchanek wrote:
> > Currently it is not possible to distinguish the case when fadump is
> > supported by firmware and disabled in kernel and completely unsupported
> > using the kernel sysfs interface. User can investigate the devicetree
> > but it is more reasonable to provide sysfs files in case we get some
> > fadumpv2 in the future.
> > 
> > With this patch sysfs files are available whenever fadump is supported
> > by firmware.
> > 
> > Signed-off-by: Michal Suchanek <[email-masked]>
> > ---  
> 
> [...]
> 
> > -	if (!fw_dump.fadump_supported) {
> > +	if (!fw_dump.fadump_supported && fw_dump.fadump_enabled) {
> >  		printk(KERN_ERR "Firmware-assisted dump is not supported on"
> >  			" this hardware\n");
> > -		return 0;
> >  	}  
> 
> The above hunk is redundant with similar message already logged during
> early boot in fadump_reserve_mem() function. I am not strongly against
> this though. So...

I see this:
[    0.000000] debug: ignoring loglevel setting.
[    0.000000] Firmware-assisted dump is not supported on this hardware
[    0.000000] Reserving 256MB of memory at 128MB for crashkernel (System RAM: 8192MB)
[    0.000000] Allocated 5832704 bytes for 2048 pacas at c000000007a80000
[    0.000000] Page sizes from device-tree:
[    0.000000] base_shift=12: shift=12, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=0
[    0.000000] base_shift=16: shift=16, sllp=0x0110, avpnm=0x00000000, tlbiel=1, penc=1
[    0.000000] Page orders: linear mapping = 16, virtual = 16, io = 16, vmemmap = 16
[    0.000000] Using 1TB segments
[    0.000000] Initializing hash mmu with SLB

Clearly the second message is logged from the above code. The duplicate
is capitalized: "Firmware-Assisted Dump is not supported on this
hardware" and I don't see it logged. So if anything is duplicate that
should be removed it is the message in fadump_reserve_mem(). It is not
clear why that one is not seen, though.

Thanks

Michal